summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTomas Mozes <hydrapolic@gmail.com>2018-06-28 10:47:08 +0200
committerTony Vroon <chainsaw@gentoo.org>2018-07-11 11:33:56 +0100
commit60bec5ef257b7f0a88614af56779732205205ffc (patch)
treeeb89b1cdb154b1a32fdd291261795105947398c6 /dev-db/percona-xtrabackup
parentdev-python/elasticsearch-py: bump to 6.3.0 (diff)
downloadgentoo-60bec5ef257b7f0a88614af56779732205205ffc.tar.gz
gentoo-60bec5ef257b7f0a88614af56779732205205ffc.tar.bz2
gentoo-60bec5ef257b7f0a88614af56779732205205ffc.zip
dev-db/percona-xtrabackup: bump to 2.4.12
Package-Manager: Portage-2.3.40, Repoman-2.3.9 Closes: https://github.com/gentoo/gentoo/pull/9168
Diffstat (limited to 'dev-db/percona-xtrabackup')
-rw-r--r--dev-db/percona-xtrabackup/Manifest1
-rw-r--r--dev-db/percona-xtrabackup/percona-xtrabackup-2.4.12.ebuild86
2 files changed, 87 insertions, 0 deletions
diff --git a/dev-db/percona-xtrabackup/Manifest b/dev-db/percona-xtrabackup/Manifest
index a18e112ee8a..99b4d18ea28 100644
--- a/dev-db/percona-xtrabackup/Manifest
+++ b/dev-db/percona-xtrabackup/Manifest
@@ -1,3 +1,4 @@
DIST percona-xtrabackup-2.4.10.tar.gz 59217573 BLAKE2B 3a4485b6d8c5b9ad2ca4b60603383b18ec0a3da7e4cca3b5a1ee2d24b6ca17844cc406123bbaf9313fc17570db0168c13af16d17404e075fc8140731ef9b79c2 SHA512 a4ebbebabc8b9b5fec9777fc3569c530b4a88a1b75d3e78d2edf7627a2e8cadf7aa2d8988963136b331a274c80371ff9b7fafcc7d8a129f446eb58777ce1764f
DIST percona-xtrabackup-2.4.11.tar.gz 59267058 BLAKE2B 1de9905a2c191a58290e87a90e36c263f66935ce0846af205e1a0accc6e9b2938dd8679f65acc4b51ca956f2bcbca831cd10c9d50c01c2ecfd9d059fde500e20 SHA512 2fa4757fe944fb4c8113dca1fa25beaa23de5d5f9fc830b36a6d9eb4efb7e7fb1eec10f91be5e91fd3b7980bc157832ed52c9da59a342f6aae05ceae8ecdf760
+DIST percona-xtrabackup-2.4.12.tar.gz 57232309 BLAKE2B 71b1dc0448b521b252463fb68ff111def3b71aebe187d3196e3c82f56539db02347d94713bea3dda5978f13b86b88a564ad6f12e3907134edc49a41dcde98e51 SHA512 228a48617eec3b824c7cb33882796ac2beb6ca1895fe73f7004e8dfd0b8bd1df471c39ba1c3fca2a819140d934a8a884f61dafae7cb56023dc7bc844d2846c8a
DIST percona-xtrabackup-2.4.9.tar.gz 58001052 BLAKE2B d2a25a5ca2190ccf82a600245a0e21848abd9a33ea937a81b2ba9c7e518b24291080a3d3c4b8e6d02f51523e5cf2e78680e4b351c4f2bcd8f122c58f62c14418 SHA512 913431f0fa648731efa2e9bc87c9431a28816b0eca12e1c6df6e7ab04a4148ddd8fa03c9792335ad152b05bede5b9fe64ce94a393b5e4e37d4b18f4989b0ccdb
diff --git a/dev-db/percona-xtrabackup/percona-xtrabackup-2.4.12.ebuild b/dev-db/percona-xtrabackup/percona-xtrabackup-2.4.12.ebuild
new file mode 100644
index 00000000000..8842c1a74b7
--- /dev/null
+++ b/dev-db/percona-xtrabackup/percona-xtrabackup-2.4.12.ebuild
@@ -0,0 +1,86 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit cmake-utils flag-o-matic
+
+DESCRIPTION="Hot backup utility for MySQL based servers"
+HOMEPAGE="https://www.percona.com/software/mysql-database/percona-xtrabackup"
+SRC_URI="https://www.percona.com/downloads/XtraBackup/Percona-XtraBackup-${PV}/source/tarball/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+DEPEND="
+ app-arch/lz4:0=
+ app-editors/vim-core
+ <dev-libs/boost-1.65.0:=
+ dev-libs/libaio
+ <dev-libs/libedit-20170329.3.1
+ dev-libs/libev
+ dev-libs/libevent:0=
+ dev-libs/libgcrypt:0=
+ dev-libs/libgpg-error
+ dev-python/sphinx
+ net-misc/curl
+ sys-libs/zlib:="
+
+RDEPEND="
+ ${DEPEND}
+ !dev-db/xtrabackup-bin
+ dev-perl/DBD-mysql"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-2.4.6-remove-boost-version-check.patch
+ "${FILESDIR}"/${PN}-2.4.11-fix-gcc6-isystem.patch
+)
+
+src_prepare() {
+ cmake-utils_src_prepare
+
+ # remove bundled boost, libedit, libevent, zlib
+ # just to be safe...
+ # We keep lz4 directory because we use extra/lz4/xxhash.c in cmake/libutils.cmake
+ rm -rv \
+ include/boost_1_59_0 \
+ cmd-line-utils/libedit \
+ libevent \
+ zlib || die
+}
+
+src_configure() {
+ # Needed, due to broken handling of CMAKE_BUILD_TYPE leading to
+ #
+ # error: 'fts_ast_node_type_get' was not declared in this scope
+ #
+ append-cppflags -DDBUG_OFF
+
+ # Upstream doesn't support C++14 -- build will fail with -fpermissive error
+ # https://bugs.mysql.com/bug.php?id=87956
+ append-cxxflags $(test-flags-CXX -std=gnu++03) -std=gnu++03
+
+ local mycmakeargs=(
+ -DBUILD_CONFIG=xtrabackup_release
+ -DWITH_EDITLINE=system
+ -DWITH_LIBEVENT=system
+ -DWITH_LZ4=system
+ -DWITH_SSL=bundled # uses yassl, which isn't packaged
+ -DWITH_ZLIB=system
+ -DWITH_PIC=ON
+ )
+
+ local CMAKE_BUILD_TYPE="Release"
+ cmake-utils_src_configure
+}
+
+src_install() {
+ local p="${BUILD_DIR}/storage/innobase/xtrabackup"
+
+ dobin "${p}"/src/{xbcloud,xbcrypt,xbstream,xtrabackup}
+ dosym xtrabackup /usr/bin/innobackupex
+
+ einstalldocs
+ doman "${p}"/doc/source/build/man/*
+}